compat-openssl10-1.0.2o-3.fc29.x86_64.rpm


Advertisement

Description

compat-openssl10 - Compatibility version of the OpenSSL library

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package filename compat-openssl10-1.0.2o-3.fc29.x86_64.rpm
Package name compat-openssl10
Package version 1.0.2o
Package release 3.fc29
Package architecture x86_64
Package type rpm
Category System Environment/Libraries
Homepage http://www.openssl.org/
License OpenSSL
Maintainer -
Download size 1.09 MB
Installed size 3.08 MB
The OpenSSL toolkit provides support for secure communications between
machines. This version of OpenSSL package contains only the libraries
and is provided for compatibility with previous releases and software
that does not support compilation with OpenSSL-1.1.

Alternatives

Package Version Architecture Repository
compat-openssl10-1.0.2o-7.fc29.i686.rpm 1.0.2o i686 Fedora Updates
compat-openssl10-1.0.2o-7.fc29.i686.rpm 1.0.2o i686 Fedora Updates
compat-openssl10-1.0.2o-7.fc29.x86_64.rpm 1.0.2o x86_64 Fedora Updates
compat-openssl10-1.0.2o-3.fc29.i686.rpm 1.0.2o i686 Fedora
compat-openssl10-1.0.2o-3.fc29.i686.rpm 1.0.2o i686 Fedora
compat-openssl10 - - -

Requires

Name Value
/sbin/ldconfig -
coreutils -
crypto-policies -
libc.so.6(GLIBC_2.17)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libz.so.1()(64bit) -
make -
rtld(GNU_HASH) -

Provides

Name Value
compat-openssl10 = 1.0.2o-3.fc29
compat-openssl10(x86-64) = 1.0.2o-3.fc29
libcrypto.so.10()(64bit) -
libcrypto.so.10(OPENSSL_1.0.1)(64bit) -
libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit) -
libcrypto.so.10(OPENSSL_1.0.2)(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libssl.so.10()(64bit) -
libssl.so.10(OPENSSL_1.0.1)(64bit) -
libssl.so.10(OPENSSL_1.0.1_EC)(64bit) -
libssl.so.10(OPENSSL_1.0.2)(64bit) -
libssl.so.10(libssl.so.10)(64bit) -

Conflicts

Name Value
openssl < 1.1.0
openssl-libs < 1.1.0

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package compat-openssl10-1.0.2o-3.fc29.x86_64.rpm
Source Package compat-openssl10-1.0.2o-3.fc29.src.rpm

Install Howto

Install compat-openssl10 rpm package:

# dnf install compat-openssl10

Files

Path
/etc/pki/openssl10.cnf
/usr/lib/.build-id/
/usr/lib/.build-id/60/8b354587c980ab1c6ac09a917724398d772ef7
/usr/lib/.build-id/c7/f6d30e58e7d2f180149c19a760e573d8255d9a
/usr/lib64/.libcrypto.so.1.0.2o.hmac
/usr/lib64/.libcrypto.so.10.hmac
/usr/lib64/.libssl.so.1.0.2o.hmac
/usr/lib64/.libssl.so.10.hmac
/usr/lib64/libcrypto.so.1.0.2o
/usr/lib64/libcrypto.so.10
/usr/lib64/libssl.so.1.0.2o
/usr/lib64/libssl.so.10
/usr/share/doc/compat-openssl10/FAQ
/usr/share/doc/compat-openssl10/NEWS
/usr/share/doc/compat-openssl10/README
/usr/share/doc/compat-openssl10/README.FIPS
/usr/share/doc/compat-openssl10/README.legacy-settings
/usr/share/licenses/compat-openssl10/LICENSE

Changelog

2018-08-03 - Tomáš Mráz <tmraz@redhat.com> 1.0.2o-3
- provide and use compat openssl10.cnf as the non-compat one is incompatible
2018-07-12 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2o-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-04-05 - Tomáš Mráz <tmraz@redhat.com> 1.0.2o-1
- minor upstream release 1.0.2o fixing security issues
2018-03-11 - Stefan O'Rear <sorear2@gmail.com> 1:1.0.2n-4
- Add flags for riscv64.
2018-02-23 - Tomáš Mráz <tmraz@redhat.com> 1.0.2n-3
- apply RPM_LD_FLAGS properly (#1548117)
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2n-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-01-18 - Tomáš Mráz <tmraz@redhat.com> 1.0.2n-1
- minor upstream release 1.0.2n fixing security issues
2017-11-13 - Tomáš Mráz <tmraz@redhat.com> 1.0.2m-1
- minor upstream release 1.0.2m fixing security issues
- fix locking of RNG in FIPS mode for some obscure use-cases
2017-08-21 - Tomáš Mráz <tmraz@redhat.com> 1.0.2j-9
- add missing ldconfig call to post script
2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.2j-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

See Also

Package Description
compat-openssl10-devel-1.0.2o-3.fc29.i686.rpm Files for development of applications which have to use OpenSSL-1.0.2
compat-openssl10-devel-1.0.2o-3.fc29.x86_64.rpm Files for development of applications which have to use OpenSSL-1.0.2
compat-openssl10-pkcs11-helper-1.22-6.fc29.i686.rpm A library for using PKCS#11 providers
compat-openssl10-pkcs11-helper-1.22-6.fc29.x86_64.rpm A library for using PKCS#11 providers
compat-openssl10-pkcs11-helper-devel-1.22-6.fc29.i686.rpm Development files for pkcs11-helper
compat-openssl10-pkcs11-helper-devel-1.22-6.fc29.x86_64.rpm Development files for pkcs11-helper
compat-readline5-5.2-32.fc29.i686.rpm A library for editing typed command lines
compat-readline5-5.2-32.fc29.x86_64.rpm A library for editing typed command lines
compat-readline5-devel-5.2-32.fc29.i686.rpm Files needed to develop programs which use the readline library
compat-readline5-devel-5.2-32.fc29.x86_64.rpm Files needed to develop programs which use the readline library
compat-readline5-static-5.2-32.fc29.i686.rpm Static libraries for the readline library
compat-readline5-static-5.2-32.fc29.x86_64.rpm Static libraries for the readline library
compat-readline6-6.3-15.fc29.i686.rpm A library for editing typed command lines
compat-readline6-6.3-15.fc29.x86_64.rpm A library for editing typed command lines
compat-readline6-devel-6.3-15.fc29.i686.rpm Files needed to develop programs which use the readline library
Advertisement
Advertisement